#include <psone/bladeps.h>
#include <psone/pslib/libspu.h>
#include <psone/pslib/hwreg.h>


void Sound_Init();

int sample_fd = 0;
u_long padkey = -1;

int PsxPlayer()
{
int SPU_SYNC = 1;
PsxUInt32 sample_size = 2048*SPU_SYNC;
int readed = 1;
PsxUInt32 *sample_buffer = NULL;
int n = 0;
int value = 0;
int i = 0;
int *status = NULL;

  	ExitCriticalSection();
	
	sample_fd = open("cdrom:\SAMPLE.VAG;1" , 1);
 	
 	if(sample_fd < 0 )
 	{
 		return 1;
 	}
 	
	Sound_Init();
	PrintString("MYSONG\n");

	while(readed != -1)
	{
		sample_buffer = (PsxUInt32 *)0x10000;
	
		readed = read( sample_fd , sample_buffer , sample_size);

		SPU_UploadData(sample_buffer, sample_buffer, sample_size );
		SPU_VoiceOn(0);
		
	}


SPU_VoiceOff(0);	
close(sample_fd);
return 0;
}
 
void Sound_Init()
{
   	// initialise the SPU
   	SPU_Init();

 	// turn it on
    	SPU_Enable();
  
	SPU_VoiceSetData(0, 0x10000);

	SPU_VoiceVol(0, 0x3000, 0x3000);
	
	SPU_VoicePitch(0, 0x1000);

 	
}


int main()
{
	Graphic_Init();

	PadInit(); 
 	PsxPlayer();

return 0;
}
